use itertools::Itertools;
use sample_amp::{get_connection_pool, list_samples};

fn main() {
    let connection = &mut get_connection_pool().get().expect("Expected a connection");
    println!(
        "Found Samples: {}",
        list_samples(connection).iter().map(|t| &t.name).join(", ")
    );
}
