use sample_amp::{tag_terms::TagSuggestions, *};
use std::{env, path::Path};

fn main() {
    let suggestions =
        TagSuggestions::read_from_file("tag_terms.txt").expect("expected tag file to load");

    let connection = &mut get_connection_pool().get().expect("Expected a connection");

    let file_str = env::args().nth(1).expect("Need just one argument.");
    let tags = suggestions.get_suggestions(&file_str);
    let sample = add_sample(connection, Path::new(&file_str), tags);
    dbg!(sample);
}
