use itertools::Itertools;
use sample_amp::{get_connection_pool, list_tags};

fn main() {
    let connection = &mut get_connection_pool().get().expect("Expected a connection.");
    println!(
        "Found tags: {}",
        list_tags(connection).iter().map(|t| &t.name).join(", ")
    );
}
