use self::models::*;
use diesel::prelude::*;
use sample_amp::*;

fn main() {
    use self::schema::libraries::dsl::*;

    let connection = &mut get_connection_pool().get().expect("Expected a connection");
    let results = libraries
        .limit(5)
        .select(Library::as_select())
        .load(connection)
        .expect("Error loading libraries");

    println!("Displaying {} libraries", results.len());
    for lib in results {
        println!("{}", lib.name)
    }
}
